> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve Effective Date Limitations

GET https://api.letsdeel.com/rest/eor/contracts/{contract_id}/amendments/{amendment_id}/effective-date-limitations

Returns validation rules for the effective date field within an EOR contract amendment flow.

 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-amendments/get-contract-amendment-effective-date-limitations

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — The unique identifier of the EOR worker contract
- `amendment_id` (string, required) — A unique identifier for the employee contract amendment

## Response

### 200

Returns the effective date limits for the amendment.

- `data` (EorContractsContractIdAmendmentsAmendmentIdEffectiveDateLimitationsGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Bad Request. The request could not be understood or was missing required parameters.

- `errors` (list of EorContractsContractIdAmendmentsAmendmentIdEffectiveDateLimitationsGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Forbidden. The caller does not have permission to perform this action.

- `errors` (list of EorContractsContractIdAmendmentsAmendmentIdEffectiveDateLimitationsGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 404 Not Found Error

Resource not found (e.g., contract, profile, amendment, change request).

- `errors` (list of EorContractsContractIdAmendmentsAmendmentIdEffectiveDateLimitationsGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 500 Internal Server Error

Internal server error.

- `errors` (list of EorContractsContractIdAmendmentsAmendmentIdEffectiveDateLimitationsGetResponsesContentApplicationJsonSchemaErrorsItems, required)

## Types

### EorContractsContractIdAmendmentsAmendmentIdEffectiveDateLimitationsGetResponsesContentApplicationJsonSchemaData

- `message` (string, optional) — Optional human-readable additional explanation on effective date limitation
- `is_hidden` (boolean, optional) — Indicates if the effective date field should be hidden.
- `is_disabled` (boolean, optional) — Indicates if the effective date field is disabled
- `max_effective_date` (string, optional, nullable) — The latest valid effective date
- `min_effective_date` (string, optional, nullable) — The earliest valid effective date
- `default_effective_date` (string, optional, nullable) — A default effective date suggested by the system

### EorContractsContractIdAmendmentsAmendmentIdEffectiveDateLimitationsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required)
- `message` (string, required)

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "data": {
    "message": "Due to the country's regulations, the effective date is available from the first day of the current payroll cycle onwards",
    "is_hidden": false,
    "is_disabled": true,
    "max_effective_date": "2025-12-31T00:00:00Z",
    "min_effective_date": "2025-07-01T00:00:00Z",
    "default_effective_date": "2025-08-01T00:00:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/contracts/3w6pd6r/amendments/ad8e84f9-a9a2-4842-a6ee-1d76228e39b1/effective-date-limitations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/contracts/3w6pd6r/amendments/ad8e84f9-a9a2-4842-a6ee-1d76228e39b1/effective-date-limitations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/contracts/3w6pd6r/amendments/ad8e84f9-a9a2-4842-a6ee-1d76228e39b1/effective-date-limitations"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/contracts/3w6pd6r/amendments/ad8e84f9-a9a2-4842-a6ee-1d76228e39b1/effective-date-limitations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/contracts/3w6pd6r/amendments/ad8e84f9-a9a2-4842-a6ee-1d76228e39b1/effective-date-limitations")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/contracts/3w6pd6r/amendments/ad8e84f9-a9a2-4842-a6ee-1d76228e39b1/effective-date-limitations', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/contracts/3w6pd6r/amendments/ad8e84f9-a9a2-4842-a6ee-1d76228e39b1/effective-date-limitations");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/contracts/3w6pd6r/amendments/ad8e84f9-a9a2-4842-a6ee-1d76228e39b1/effective-date-limitations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```